-- tech prices
require "utils"

Tech_Prices = {}
Tech_List =
 {
"bullet-damage",
"bullet-speed",
"shotgun-shell-damage",
"flamethrower-damage",
"gun-turret-damage",
"laser-turret-damage",
"laser-turret-speed",
"rocket-damage",
"rocket-speed",
"grenade-damage",
"follower-robot-count",
"combat-robot-damage",
"mining-productivity",
"cannon-shell-damage",
"cannon-shell-speed",
"inserter-capacity-bonus",
}

Unique_Tech_List =
{
"toolbelt",
"plastics",
"laser",
"flammables",
"military-2",
"flamethrower",
"combat-robotics",
"modules",
"modular-armor",
"power-armor",
"military-3",
"tanks",
"engine",
}
 
--https://lua-api.factorio.com/latest/LuaTechnologyPrototype.html

function GetTechPrice(name)
local Tprice = 0 
 if game.technology_prototypes[name] then
    local tech = game.technology_prototypes[name]
	local ingred = tech.research_unit_ingredients
	local kits   = tech.research_unit_count 
		for k,i in pairs (ingred) do
			local nome = i.name
			local qt   = i.amount
			   local price = global.Market_Item_Prices[nome]
				if  price == nil then 
				    --game.players[1].print (k..'   ! ' .. nome ..' nao econtrado')
					break
					else
					Tprice=Tprice+ price*qt * kits
					end
			end -- for k
	
		Tech_Prices[name]=Tprice
		end
end


function CreateTechPricesList()
for I, name in pairs (Tech_List) do
    for l=1,15 do 
	    GetTechPrice(name..'-'..l)
		end
   end

for I, name in pairs (Unique_Tech_List) do
	GetTechPrice(name)
   end
   
-- SAVE TO GLOBAL
global.jb_Tech_List          = Tech_List
global.jb_Unique_Tech_List   = Unique_Tech_List
global.jb_Tech_Prices        = Tech_Prices
end
